.mat-list-base .mat-list-item .mat-line {
  white-space: initial !important;
  overflow: hidden !important;
}
.menuCard {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  justify-content: center;
}
.menuCard > * {
  margin: 0.5em;
  min-width: 20em;
  max-width: 20em;
  min-height: 25em;
  max-height: 40em;
}
.menuCard > mat-card > mat-card-actions {
  flex-direction: column-reverse;
}
p {
  font-weight: bold;
}
.mat-badge-small.mat-badge-above .mat-badge-content {
  top: 0px;
  right: -20px;
}
.divider {
  position: relative;
  margin: 10px;
  height: 1px;
}

.div-transparent:before {
  content: "";
  position: absolute;
  top: 0;
  left: 5%;
  right: 5%;
  width: 90%;
  height: 1px;
  background-image: linear-gradient(
    to right,
    transparent,
    hsl(135, 50%, 50%),
    transparent
  );
}
.pageTitleContainer {
  margin-top: 20px;
}
.pageTitle {
  font-size: xx-large;
  font-variant-caps: small-caps;
  text-align: center;
}
.backButton {
  position: absolute;
  left: 2em;
  border: 1px solid hsl(135, 50%, 50%);
  padding: 5px;
  font-variant-caps: small-caps;
  font-size: large;
  cursor: pointer;
  transition: ease-in-out 0.3s;
}
.backButton::before {
  content: "\00ab\00a0";
}
.backButton:hover {
  transition: ease-in-out 0.3s;
  background-color: hsl(135, 50%, 50%);
  color: #fff;
  transform: scale(1.2);
}
.menuCategory {
  padding: 5px;
}
.menuCategoryTitle {
  font-weight: bold;
  text-align: center;
  font-variant-caps: small-caps;
  font-size: 1.5em;
}
.menuItem {
  display: flex;
  align-items: flex-start;
  padding: 20px 0;
}
.menuItem:hover {
  background-color: lightgray;
}
.menuItemName,
.menuItemDescription,
.menuItemIngredients {
  margin-left: 10px;
}
.menuItemTitle {
  font-variant-caps: small-caps;
}
.menuItemPrice {
  margin-right: 2em;
  align-self: center;
}
img {
  width: 100px;
  height: 100px;
  border-radius: 10%;
  align-self: center;
}
ul {
  margin: 1px;
}
